Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011562 [DCSS] Documentation minor always 2018-07-24 14:23 2018-08-10 02:23
Reporter RoGGa View Status public  
Assigned To
Priority normal Resolution open  
Status new   Product Branch 0.22 development branch
Summary 0011562: Changes still needed in docs based on changelog.txt
Description In anticipation of the v0.22 release, I've been looking more and more at the details following the great UI upgrade.
I've found a lot of old outdated stuff in the documentation and .txt files that I've already reported in Mantis.

Yesterday, I took a more targeted approach by looking for discrepancies between the changelog (through 0.22-a0-617-g6d95e9e505) and the .txt files.
Here are my findings of things needing to be updated with each in a separate Note.

Additional Information
Tags 0.23 target
Attached Files

- Relationships

-  Notes
(0032428)
RoGGa (reporter)
2018-07-24 14:26

https://github.com/crawl/crawl/blob/master/crawl-ref/source/dat/descript/spells.txt#L793 [^]

Lee's Rapid Deconstruction spell

Fragments a wall or a suitably brittle visible monster into an explosion of...
(0032429)
RoGGa (reporter)
2018-07-24 14:29
edited on: 2018-08-10 02:20

https://github.com/crawl/crawl/blob/master/crawl-ref/docs/quickstart.txt#L88 [^]

 Unfortunately, you won't at first know what a
   wand, scroll or potion does; it will only be described by its physical
   appearance. But once you have used, ...

[Edit] Fixed in https://github.com/crawl/crawl/commit/c252fe119888 [^]

(0032430)
RoGGa (reporter)
2018-07-24 14:31
edited on: 2018-08-01 22:35

https://github.com/crawl/crawl/blob/master/crawl-ref/source/dat/database/FAQ.txt#L232 [^]

Keep in mind that you don't
absolutely have to fight every monster you meet, and with ghosts it's even
easier: they cannot leave the level they were created on.

[Edit] Fixed in: https://github.com/crawl/crawl/commit/030cbd369d74a90d9dc5b82ba43075e7f074249e [^]

(0032431)
RoGGa (reporter)
2018-07-24 14:34
edited on: 2018-08-01 22:36

this one is likely about code that is now useless:
bool trog_burn_spellbooks()

https://github.com/crawl/crawl/blob/master/crawl-ref/source/god-abil.cc#L1466 [^]

[Edit] fixed in: https://github.com/crawl/crawl/commit/9a9f1d333b05f8cdd3597b5693f634acac908c55 [^]

(0032541)
gammafunk (developer)
2018-08-10 02:23

I updated the quickstart note, since that's been fixed. For the LRD description, we'll have to decide if we want to rephrase it and how.

- Issue History
Date Modified Username Field Change
2018-07-24 14:23 RoGGa New Issue
2018-07-24 14:26 RoGGa Note Added: 0032428
2018-07-24 14:29 RoGGa Note Added: 0032429
2018-07-24 14:31 RoGGa Note Added: 0032430
2018-07-24 14:34 RoGGa Note Added: 0032431
2018-07-30 04:52 advil Tag Attached: 0.23 target
2018-08-01 22:35 RoGGa Note Edited: 0032430
2018-08-01 22:36 RoGGa Note Edited: 0032431
2018-08-10 02:20 gammafunk Note Edited: 0032429
2018-08-10 02:23 gammafunk Note Added: 0032541


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker